CVE-2020-15476

NameCVE-2020-15476
DescriptionIn nDPI through 3.2, the Oracle protocol dissector has a heap-based buffer over-read in ndpi_search_oracle in lib/protocols/oracle.c.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-2354-1
NVD severitymedium
Debian Bugs972050

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
ndpi (PTS)stretch1.8-1vulnerable
stretch (security)1.8-1+deb9u1fixed
buster2.6-3vulnerable
sid3.0-1vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
ndpisourcestretch1.8-1+deb9u1DLA-2354-1
ndpisource(unstable)(unfixed)972050

Notes

https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=21780
https://github.com/ntop/nDPI/commit/b69177be2fbe01c2442239a61832c44e40136c05

Search for package or bug name: Reporting problems